<?php
/**
*
* @package acp
* acp_honor_board.php
* @copyright (c) 2009 saanina , phpbbarabia.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
    exit;
}

/**
* @package acp
*/
class acp_honor_board
{
	var $u_action;
	var $page_title;

	function main($id, $mode)
	{
		global $db, $user, $auth, $template;
		global $config, $phpbb_root_path, $phpbb_admin_path, $phpEx;
		
		//get language of this mod
		$user->add_lang('mods/honor_board');
		
		//template of mod in adm/styles
		$this->tpl_name = 'acp_honor_board';

		//set title of this page
		$this->page_title = 'ACP_HONOR_BOARD';

		//after submit
		if (isset($_POST['submit']))
		{
			//update config values
			set_config('show_board_hb', (int) request_var('show_board_hb', 1));
			set_config('best_user_hb', utf8_normalize_nfc(request_var('best_user_hb', '', true)));
			set_config('best_userid_hb', (int) request_var('best_userid_hb', 0));
			set_config('best_moderator_hb', utf8_normalize_nfc(request_var('best_moderator_hb', '', true)));
			set_config('best_moderatorid_hb', (int) request_var('best_moderatorid_hb', 0));
			set_config('best_forum_hb', utf8_normalize_nfc(request_var('best_forum_hb', '', true)));
			set_config('best_forumid_hb', (int) request_var('best_forumid_hb', 0));

			//add acp log
			add_log('admin', $user->lang['HB_ACP_UPDATED']);

			//done ...
			trigger_error($user->lang['HB_ACP_UPDATED'] . adm_back_link($this->u_action));
		}

		$template->assign_vars(array(
						'S_SHOW_BOARD_HB'		=> $config['show_board_hb'],
						'S_BEST_USER_HB'		=> $config['best_user_hb'],
						'S_BEST_USERID_HB'		=> $config['best_userid_hb'],
						'S_BEST_MODERATOR_HB'	=> $config['best_moderator_hb'],
						'S_BEST_MODERATORID_HB'	=> $config['best_moderatorid_hb'],
						'S_BEST_FORUM_HB'		=> $config['best_forum_hb'],
						'S_BEST_FORUMID_HB'		=> $config['best_forumid_hb'],
				));
	}

}
?>