<?php
/**
* functions_honor_board.php
* @copyright (c) 2009 saanina , phpbbarabia.com
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
    exit;
}


/**
* honor board 
* @author saanina
* @copyright phpbbarabia.com
*/
function get_honor_board ()
{
	global  $config, $template, $user, $phpbb_root_path, $phpEx;

	//UPDATE1
	$show_hb = $config['show_board_hb'];
	if (!$config['best_user_hb'] && !$config['best_moderator_hb'] && !$config['best_forum_hb'])
	{
		$show_hb = 0;
	}
	//get language of this mod
	$user->add_lang('mods/honor_board');
		
	//make general variables of style ... 
	$template->assign_vars(array(
		'SHOW_BOARD_HB'	 	=> $show_hb,
		'THIS_USER_HB' 		=> $config['best_user_hb'],
		'URL_USER_HB'		=> append_sid("{$phpbb_root_path}/memberlist.$phpEx", 'mode=viewprofile&amp;u=' . $config['best_userid_hb'], true, $user->session_id),
		'THIS_MODERATOR_HB' => $config['best_moderator_hb'],
		'URL_MODERATOR_HB'	=> append_sid("{$phpbb_root_path}/memberlist.$phpEx", 'mode=viewprofile&amp;u=' . $config['best_moderatorid_hb'], true, $user->session_id),
		'THIS_FORUM_HB' 	=> $config['best_forum_hb'],
		'URL_FORUM_HB'		=> append_sid("{$phpbb_root_path}/viewforum.$phpEx", 'f=' . $config['best_forumid_hb'], true, $user->session_id),
		'HONOR_BOARD_TITLE' => $user->lang['HONOR_BOARD_TITLE'],
		'USER_HB_IMG'		=> $user->img('user_hb', 'BEST_USER_HB'),
		'MODERATOR_HB_IMG'	=> $user->img('moderator_hb', 'BEST_MODERATOR_HB'),
		'FORUM_HB_IMG'		=> $user->img('forum_hb', 'BEST_FORUM_HB')
	));
	
	//show style
	$template->set_filenames(array(
		'body' => 'honor_board.html')
	);

 return;
}#function get_honor_board

//initiate our function
@get_honor_board();